# Uses of Class
org.springframework.web.servlet.config.annotation.CorsRegistry

Packages that use CorsRegistry
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.

## Uses of CorsRegistry in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation with parameters of type CorsRegistry
Modifier and Type
Method
Description
`protected void`
DelegatingWebMvcConfiguration.`addCorsMappings(CorsRegistry registry)`
`protected void`
WebMvcConfigurationSupport.`addCorsMappings(CorsRegistry registry)`
Override this method to configure cross-origin requests processing.
`default void`
WebMvcConfigurer.`addCorsMappings(CorsRegistry registry)`
Configure "global" cross-origin request processing.